<template>
  <div class="h-100">
    <map-box ref="mapbox" :enableNofly="true"/>
  </div>
</template>

<script>
import MapBox from '@/components/MapBox'

export default {
  name: 'Nofly',
  data () {
    return {
    }
  },
  components: {
    MapBox
  },
  computed: {
    /**
     * @description: 侧边栏显隐
     */
    isCollapse () {
      return this.$store.state.app.isCollapse
    }
  },
  methods: {

  },
  mounted () {
  },
  watch: {
    /**
     * @description: 侧边栏缩进有变化时 地图重新自适应
     */
    isCollapse: {
      handler (val) {
        if (val) {
          this.$refs.mapbox.handleResize()
        }
      }
    }
  },
  destroyed () {
  }
}
</script>

<style></style>
